from casioplot import *

def draw(x, y, data, pallet, width):
    sx = x
    width += sx
    for v in data:
        set_pixel(x, y, pallet[v])
        x += 1
        if x == width:
            x = sx
            y += 1
    show_screen()

def fancy_text(x, y, text):
    draw_string(x, y, text)
    draw_string(x+2, y, text)
    draw_string(x, y+2, text)
    draw_string(x+2, y+2, text)
    draw_string(x+1, y+1, text, (255, 255, 255))

def wait_ac(text):
    fancy_text(0, 0, text)
    try:
        while 1:
            show_screen()
    except KeyboardInterrupt:
        pass
